<!DOCTYPE html>
<html>

<head>
<!--MUHSIN BIN ALWI 26/6/21-->

<meta charset="utf-8" />
<title>CSS Quiz</title>
<link rel="stylesheet" type="text/css" href="style.css">
<script src="script.js"></script>
</head>


<body>
	

<h1>CSS Quiz</h1>
<p id="date"></p>

<script>
const d = new Date();
document.getElementById("date").innerHTML = d;
</script>
<form name="myquiz" onsubmit="return submitAnswers()">
<fieldset>
<div>

	<p>1. What does CSS stand for?<br><br></p>

	<input type="radio" name="q1" value="q1a"/>Creative Style Sheets <br>
	<input type="radio" name="q1" value="q1b"/>Colorful Style Sheets <br>
	<input type="radio" name="q1" value="q1c"/>Computer Style Sheets <br>
	<input type="radio" name="q1" value="q1d"/>Cascading Style Sheets <br><br>
</div>
</fieldset>
<fieldset>
<div>

	<p>2. Which HTML attribute is used to define inline styles?<br><br></p>

	<input type="radio" name="q2" value="q2a"/>class <br>
	<input type="radio" name="q2" value="q2b"/>style <br>
	<input type="radio" name="q2" value="q2c"/>styles <br>
	<input type="radio" name="q2" value="q2d"/>font <br><br>
</div>
</fieldset>

<fieldset>
<div>
	<p>3. Which property is used to change the bkacground color?<br><br></p>

	<input type="radio" name="q3" value="q3a"/>color <br>
	<input type="radio" name="q3" value="q3b"/>colour <br>
	<input type="radio" name="q3" value="q3c"/>background-color <br>
	<input type="radio" name="q3" value="q3d"/>background-colour <br><br>

</div>
</fieldset>

<fieldset>
<div>
	<p>4. Which CSS property is used to change the text color of an element?<br><br></p>

	<input type="radio" name="q4" value="q4a"/>color <br>
	<input type="radio" name="q4" value="q4b"/>colour <br>
	<input type="radio" name="q4" value="q4c"/>text-color <br>
	<input type="radio" name="q4" value="q4d"/>font-color <br><br>


</div>
</fieldset>

<fieldset>
<div>
	<p>5. Which CSS property controls the text size?<br><br></p>

	<input type="radio" name="q5" value="q5a"/>font-size <br>
	<input type="radio" name="q5" value="q5b"/>font-style <br>
	<input type="radio" name="q5" value="q5c"/>text-size <br>
	<input type="radio" name="q5" value="q5d"/>text-style <br><br>
</div>
</fieldset>

<fieldset>
<div>
	<p>6. How do you make the text bold?<br><br></p>

	<input type="radio" name="q6" value="q6a"/>style:bold; <br>
	<input type="radio" name="q6" value="q6b"/>font:bold; <br>
	<input type="radio" name="q6" value="q6c"/>weight:bold; <br>
	<input type="radio" name="q6" value="q6d"/>font-weight:bold; <br><br>
</div>
</fieldset>

<fieldset>
<div>
	<p>7. How do you group selectors?<br><br></p>

	<input type="radio" name="q7" value="q7a"/>Seperate each selector with a comma <br>
	<input type="radio" name="q7" value="q7b"/>Seperate each selector with a plus sign <br>
	<input type="radio" name="q7" value="q7c"/>Seperate each selector with a space <br>
	<input type="radio" name="q7" value="q7d"/>Seperate each selector with a dash <br><br>
</div>
</fieldset>

<fieldset>
<div>
	<p>8. What is the default value of the position property?<br><br></p>

	<input type="radio" name="q8" value="q8a"/>abbsolute <br>
	<input type="radio" name="q8" value="q8b"/>auto <br>
	<input type="radio" name="q8" value="q8c"/>static <br>
	<input type="radio" name="q8" value="q8d"/>fixed <br><br>

	
</div>
</fieldset>

<fieldset>
<div>
	<p>9. How do you select an element with id 'demo'? <br><br></p>

	<input type="radio" name="q9" value="q9a"/>.demo <br>
	<input type="radio" name="q9" value="q9b"/>#demo <br>
	<input type="radio" name="q9" value="q9c"/>*demo <br>
	<input type="radio" name="q9" value="q9d"/>demo <br><br>
</div>
</fieldset>

<fieldset>
<div>
	<p>10. When using the padding property,are you allowed to use negative values? <br><br></p>
	<input type="radio" name="q10" value="q10a"/>Yes <br>
	<input type="radio" name="q10" value="q10b"/>No <br><br>
	


</div>
</fieldset>

<div>
	<label for="name">Your Name</label>
	<input type="text"name="name" id="name">
</div><br><br>

    <input type="submit" value="Grade Quiz"/>
    <input type="reset" value="Reset"/>
</form>
</body>
</html>
